org.bdgenomics.adam.cli

# TransformArgs

#### class TransformArgs extends Args4jBase with ADAMSaveAnyArgs with ParquetArgs

Linear Supertypes
ParquetArgs, ADAMSaveAnyArgs, SaveArgs, ParquetRDDArgs, Args4jBase, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. TransformArgs
2. ParquetArgs
3. ADAMSaveAnyArgs
4. SaveArgs
5. ParquetRDDArgs
6. Args4jBase
7. AnyRef
8. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new TransformArgs()

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### var asSingleFile: Boolean

   Definition Classes
     TransformArgs → ADAMSaveAnyArgs

8. #### var blockSize: Int

   Definition Classes
     ParquetArgs → ParquetRDDArgs

9. #### var cache: Boolean

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### var coalesce: Int

12. #### var compressionCodec: CompressionCodecName

    Definition Classes
      ParquetArgs → ParquetRDDArgs

13. #### var concatFilename: String

14. #### var disableDictionaryEncoding: Boolean

    Definition Classes
      ParquetArgs → ParquetRDDArgs

15. #### var doPrintUsage: Boolean

    Definition Classes
      Args4jBase

16. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

18. #### var fastqRecordGroup: String

19. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

20. #### var forceLoadBam: Boolean

21. #### var forceLoadFastq: Boolean

22. #### var forceLoadIFastq: Boolean

23. #### var forceLoadParquet: Boolean

24. #### var forceShuffle: Boolean

25. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

26. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

27. #### var inputPath: String

28. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

29. #### var knownIndelsFile: String

30. #### var knownSnpsFile: String

31. #### var limitProjection: Boolean

32. #### var locallyRealign: Boolean

33. #### var lodThreshold: Double

34. #### var logLevel: String

    Definition Classes
      ParquetArgs

35. #### var markDuplicates: Boolean

36. #### var maxConsensusNumber: Int

37. #### var maxIndelSize: Int

38. #### var maxTargetSize: Int

39. #### var mdTagsFragmentSize: Long

40. #### var mdTagsOverwrite: Boolean

41. #### var mdTagsReferenceFile: String

42. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

43. #### final def notify(): Unit

    Definition Classes
      AnyRef

44. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

45. #### var observationsPath: String

46. #### var outputPath: String

    Definition Classes
      TransformArgs → SaveArgs

47. #### var pageSize: Int

    Definition Classes
      ParquetArgs → ParquetRDDArgs

48. #### var pairedFastqFile: String

49. #### var printMetrics: Boolean

    Definition Classes
      Args4jBase

50. #### var recalibrateBaseQualities: Boolean

51. #### var repartition: Int

52. #### var sortFastqOutput: Boolean

    Definition Classes
      TransformArgs → ADAMSaveAnyArgs

53. #### var sortReads: Boolean

54. #### var storageLevel: String

55. #### var stringency: String

56. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

57. #### def toString(): String

    Definition Classes
      AnyRef → Any

58. #### var useAlignedReadPredicate: Boolean

59. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

60. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

61. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ParquetArgs

### Inherited from ADAMSaveAnyArgs

### Inherited from SaveArgs

### Inherited from ParquetRDDArgs

### Inherited from Args4jBase

### Inherited from AnyRef

### Inherited from Any

### Ungrouped